libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
pqxx::string_traits< const char[N]> Struct Template Reference
String conversion

String traits for "array of const char.". More...

`#include <strconv.hxx>`

## Static Public Member Functions

static const char * | name ()
static bool | has_null ()
static bool | is_null (const char t[])
static const char * | null ()
static std::string | to_string (const char Obj[])

## Detailed Description

### template<size_t N>
struct pqxx::string_traits< const char[N]>

String traits for "array of const char.".

Visual Studio 2010 isn't happy without this redundant specialization. Other compilers shouldn't need it.

## Member Function Documentation

template<size_t N>

static bool pqxx::string_traits< const char[N]>::has_null | ( |  | ) |

static

template<size_t N>

static bool pqxx::string_traits< const char[N]>::is_null | ( | const char | t[] | ) |

static

template<size_t N>

static const char* pqxx::string_traits< const char[N]>::name | ( |  | ) |

static

template<size_t N>

static const char* pqxx::string_traits< const char[N]>::null | ( |  | ) |

static

template<size_t N>

static std::string pqxx::string_traits< const char[N]>::to_string | ( | const char | Obj[] | ) |

static

The documentation for this struct was generated from the following file:

- strconv.hxx